<?php

namespace Lc\PietroBundle\Model;

use Doctrine\ORM\Mapping as ORM;
use App\Doctrine\Extension\DescriptionProjectInterface;
use App\Doctrine\Extension\DescriptionProjectTrait;
use Lc\SovBundle\Doctrine\EntityInterface;

/**
 * @ORM\MappedSuperclass()
 */
abstract class Dream implements DescriptionProjectInterface, EntityInterface
{
    use DescriptionProjectTrait;

    /**
     * @ORM\ManyToOne(targetEntity=IndividualData::class, inversedBy="dream")
     */
    private $individualData;


    public function __toString()
    {
        return "Nos rêves";
    }

    public function getIndividualData(): ?IndividualData
    {
        return $this->individualData;
    }

    public function setIndividualData(?IndividualData $individualData): self
    {
        $this->individualData = $individualData;

        return $this;
    }

}
